Create Delivery Slot

Create delivery slots (previously known as Planned Delivery Windows) to represent fulfillment availability by time and day ranges.

🚧

While it is possible to create delivery slots via API, we strongly encourage you to use the Bringg User Interface (Platform) for delivery slot creation.

The Create Delivery Slot API allows you to define a team's delivery availability for specific dates and durations so you can offer customers a variety of delivery options during their shopping experience. Use this endpoint to establish slots that meet your operational requirements, factoring in considerations like delivery destination, driver availability, service level, and inventory. Note that a delivery slot is returned in responses as planned_delivery_window.

Bringg provides flexibility in defining delivery slots, enabling you to reserve slots until checkout, specify durations as narrow as 30 minutes, and display slots up to a month in advance.

To set up a weekly delivery cadence, create delivery slots for an entire organization or specific teams. Adjust this schedule using the Update Delivery Slot endpoint.

After creating the slots:

  1. Use the Create Blackout endpoint to block off time when for when your team or organization are not available, such as on holidays.
  2. Send a Get Quotes request to check availability for specific orders or display delivery slots for your customers so they can schedule a time to receive their orders.
  3. Reserve a delivery slot while the customer shops by creating an order with the Create Order (Task) endpoint. Use the reserved_until field to limit how long the slot is held. If the customer does not finalize the purchase, the order is automatically canceled at the time specified by reserved_until.
  4. After checkout, use the Update Order endpoint to add inventory items and finalize the order details.
  5. If the customer cancels their order, release the reserved slot with the Cancel Order (Task) endpoint.

Learn more about the Delivery Slot Object, including more details about parameter formatting and validations.

Response (Output) Params
ParameterDescription
id
integer
Bringg's ID for the delivery slot.
end_time
datetime
The date and time by which the associated order should be delivered. Counted as minutes from midnight Monday UTC. Format 00:00.
fill_ratio
double
Indicates the percentage of the delivery slot that is already booked. This can be used to determine pricing or the need for additional resources.
Example values:
0 - the slot is empty
0.36 - the slot is 36% full
1 - the slot is full
start_time
datetime
The date and time at which the associated order can begin to be delivered. Counted as minutes from midnight Monday UTC. Format 00:00.
team_id
integer
Bringg's ID for the associated team.

Body Params
string

The delivery slot's display name.

string

Your external system's ID for the associated team.
Required if not using team_id or omit for a merchant-level slot.

int32

Bringg's ID for a team.
Required if not using team_external_id or omit for a merchant-level slot.

double

Additional fees associated with fulfilling an order in this time slot.

date

The first date when this delivery slot occurs.

date

The last date when this delivery slot occurs.
Leave as null for an open-ended end date

string

Last time to place an order that can be fulfilled in this delivery slot. Include if cutoff_day and cutoff_time are not included.

integer

The last day to place an order that can be fulfilled in this delivery slot
Day of the week where 1 = Monday and 7 = Sunday

string

The time the time slot begins.

integer

The first day this time slot is offered
Day of the week where 1 = Monday and 7 = Sunday

string

The time this time slot ends.

integer

The last day this delivery slot is offered
Day of the week where 1 = Monday and 7 = Sunday

service_area_ids
array of int32s

Indicates the service areas that are applicable for this time slot.

service_area_ids
service_area_external_ids
array of strings

Your external system's ID for the associated service area.

service_area_external_ids
service_plan_external_ids
array of strings

Your external system's ID for the associated service plans or SLAs.

service_plan_external_ids
service_plan_ids
array of int32s

Bringg's IDs for the associated service plans.

service_plan_ids
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json